@extends('web.includes.layout')

@section('title',' - 案例分享')

@push('head')

@endpush
@push('script')

<script>
    $(function(){
        var knowledgeSwiper = new Swiper('.swiper-container', {
            slidesPerView: 'auto',
            spaceBetween: 5,
            freeMode : true,
            centerInsufficientSlides: true,
            navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
            },
        })
    })
</script>

@endpush

@section('main_id','case')
@section('main')


<div id="inner-banner">
    <img src="{{ resources_path() }}_img/case/banner.png" alt="">
</div>


<article>
    <div class="bread text-right py-2 text-c2">
        <div class="container-fluid">
            <ul class="bread-list d-flex justify-content-end align-items-center">
                <li class="bread-item"><a href="{{ base_path() }}">首頁</a></li>
                <li class="bread-item"><a href="#">案例分享</a></li>
            </ul>
        </div>
    </div>
    <section id="section1">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center">
                        CASE<br>
                        案例分享
                    </div>
                </div>
            </div>
            <div class="row px-5">
                <div class="col-12 bg-white py-4 mb-5">
                    <div class="row">
                        <div class="col-12">
                            <div class="knowledge-category-slider px-5">
                                <div class="swiper-container mx-auto">
                                    <div class="swiper-wrapper">
                                        @foreach ( $news_class_tree[0] as $v  )
                                        <div class="swiper-slide text-center">
                                            {{-- a可加active --}}
                                            <a  href="{{ base_path() }}case/{{$v['id']}}" class="@if($v['id']==$level_1_class_id) active @endif fs-20 font-weight-bold">{{$v['name']}}</a>
                                        </div>
                                        @endforeach
                                    </div>
                                </div>
                                <div class="swiper-button-prev"><i class="fal fa-angle-left fs-40"></i></div>
                                <div class="swiper-button-next"><i class="fal fa-angle-right fs-40"></i></div>
                            </div>
                        </div>
                    </div>

                    <div class="row px-4">
                        <div class="col-12 text-center mt-5">
                            <div class="fs-25 font-weight-bold">{{ $news_class[$level_1_class_id]['name']}}</div>
                        </div>
                    </div>

                    <div class="inner-case-list case-list row mt-5 px-4">
                        @foreach ($news as $v)
                        <div class="case-item col-md-4 my-2">
                            <div class="bg-img bg-cover" style="background-image: url({{ storage_path($v['pic']) }})">
                                <div class="txt-row d-flex justify-content-center align-items-center">
                                    <div class="content">
                                        <div class="case-name fs-25 font-weight-bold text-white">{{$v['name']}}</div>
                                        <a href="{{ base_path() }}case/{{$v['class_id']}}/{{$v['id']}}" class="btn btn-outline-light d-line px-4 mt-5 border-transparent">MORE</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
</article>






@endsection
