@extends('web.includes.layout')

@section('title','首頁')

@push('head')

@endpush
@push('script')

<script>

    

    $(function(){
        
        
        var swiper = new Swiper('.banner-slider', {
            // effect: 'fade',
            loop: true,
            autoplay: {
                delay: 5000,
            },
            navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
            },
            pagination: {
                el: '.swiper-pagination',
            },
        });
        var pSwiper = new Swiper('.index-p-slider', {
            loop: true,
            spaceBetween: 10,
            navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
            },
        })
        var dSwiper = new Swiper('.detection-slider', {
            loop: true,
            slidesPerView: 4,
            spaceBetween: 10,
            navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
            },
            breakpoints: {
                767: {
                    slidesPerView: 2,
                }
            }
        })
        var partnerSwiper = new Swiper('.partner-slider', {
            slidesPerView: 4,
            spaceBetween: 10,
            navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
            },
        })
    })

    
</script>

@endpush

@section('main_id','index')
@section('main')


<div id="banner">
    <div class="banner-slider swiper-container">
        <div class="swiper-wrapper">
            @foreach($banner as $v)
            <div @if(!empty($v['link'])) style="cursor:pointer;" @endif   onclick="@if(!empty($v['link'])) window.open('{{ $v['link'] }}','_blank');; @else return false; @endif" class="swiper-slide">
                <img  src="{{ storage_path($v['pic']) }}" alt="" class="w-100">
            </div>
            @endforeach
        </div>
        <div class="swiper-pagination"></div>
    </div>
</div>


<article>
    {{-- 公司簡介 --}}
    <section id="section1" class="bg-gradient-white py-5">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12 mb-4">
                    <div class="title fs-30 font-weight-bold">高安隱形鐵窗</div>
                </div>
                <div class="col-12 mb-3">
                    <div class="fs-20 line-height-2">高安隱形鐵窗致力於研發隱形鐵窗材料多年，於１０１年成立至今，在底座方面以蜂巢式設計，更輕、更薄、更堅固，研發日式防水工法施工,確保耐用拉力在300公斤以上,可達到現代建築美學,更兼具隱形的要求，解決以往隱形鐵窗會生鏽不耐用的既定印象。</div>
                </div>
                <div class="col-md-7">
                    <div class="fs-20 line-height-2">固定鍵以杜邦66號尼龍製作，與鋼絲繩包膠繩同材質在拉線可繃緊時，不會刮傷更好繃緊可達到安全規範內之拉力，且不傷線鋼絲繩以日製316不鏽鋼製成，拉力可達250公斤以上,外層披覆12號尼龍不傷手，已成為業界仿效對象，總和以上組合為隱形鐵窗最佳用料達到既隱形更安全的規格要求，是我們的堅持。</div>
                    <a href="{{base_path()}}about" class="btn btn-outline-dark d-line px-4 mt-5">MORE</a>
                </div>
                <div class="d-none d-md-block col-md-5 position-relative">
                    <img src="{{ resources_path() }}_img/index/img01.png" alt="" class="w-100 position-absolute">
                </div>
            </div>
        </div>
    </section>

    {{-- 產品介紹 --}}
    <section id="section2" class="pt-5 pt-md-10 pb-5" style="background-image: url({{ resources_path() }}_img/index/bg01.png)">
        <div class="container-fluid px-0">
            <div class="row">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center mb-3">
                        PRODUCTS<br>
                        產品介紹
                    </div>
                </div>
            </div>
            {{-- 產品輪播 --}}
            <div class="row">
                <div class="col-12">
                    <div class="index-p-slider swiper-container">
                        <div class="swiper-wrapper">
                            @foreach ($product_home as $v)
                            <div class="swiper-slide">
                                <div class="content">
                                    <a href="{{ base_path() }}product/{{$v['level_1_class_id']}}/{{$v['level_2_class_id']}}/{{$v['id']}}" class="bg-img bg-cover" style="background-image: url({{ storage_path($v['pic']) }})">
                                        <div class="txt-row">
                                            <div class="p-name fs-25 font-weight-bold">{{$v['name']}}</div>
                                            <div class="p-detail fs-20">
                                                「 {!! strip_tags($v['s_info']) !!}
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                            @endforeach
                        </div>
                        <div class="swiper-button-prev swiper-arrows">PREV</div>
                        <div class="swiper-button-next swiper-arrows">NEXT</div>
                    </div>
                </div>
            </div>

            {{-- more button --}}
            <div class="row">
                <div class="col-12 text-center">
                    <a href="{{ base_path() }}product" class="btn btn-outline-dark d-line px-4 mt-5">MORE</a>
                </div>
            </div>

        </div>
    </section>
    {{-- 案例分享 --}}
    <section id="section3" class="py-5">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center mb-3">
                        案例分享
                    </div>
                </div>
            </div>
            <div class="index-case-list case-list row">
                @foreach ($case as $v)
                <div class="case-item col-md-3 col-6 my-2">
                    <div class="bg-img bg-cover" style="background-image: url({{ storage_path($v['pic']) }})">
                        <div class="txt-row d-flex justify-content-center align-items-center">
                            <div class="content">
                                <div class="case-name fs-25 font-weight-bold text-white">{{$v['name']}}</div>
                                <a href="{{ base_path() }}case/{{$v['class_id']}}/{{$v['id']}}" class="btn btn-outline-light d-line px-4 mt-5 border-transparent">MORE</a>
                            </div>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>

            {{-- more button --}}
            <div class="row">
                <div class="col-12 text-center">
                    <a href="{{ base_path() }}case" class="btn btn-outline-dark d-line px-4 mt-5">MORE</a>
                </div>
            </div>
        </div>
    </section>

    {{-- 檢測報告 --}}

    <section id="section4" class="index-detection bg-primary3">
        <div class="container-fluid">
            <div class="row bg-gradient-mc pt-5 pb-8">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center mb-3 text-white">
                        相關檢測報告
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="detection-row col-11 mx-auto py-5 px-6 bg-white">
                    <div class="detection-slider swiper-container">
                        <div class="swiper-wrapper">
                            @for ($d = 1 ; $d <= 10 ; $d ++)
                            <div class="swiper-slide">
                                <a href="{{ resources_path() }}_img/index/test_img03.png" class="content d-flex aling-items-center justify-content-center" data-fancybox="detection">
                                    <img src="{{ resources_path() }}_img/index/test_img03.png" alt="">
                                </a>
                            </div>
                            @endfor
                        </div>
                    </div>
                    <div class="swiper-button-prev"><i class="fal fa-angle-left fs-40"></i></div>
                    <div class="swiper-button-next"><i class="fal fa-angle-right fs-40"></i></div>
                </div>
            </div>
        </div>
    </section>

    {{-- 服務項目 --}}
    <section id="section5" class="py-5">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center mb-3">
                        服務項目
                    </div>
                </div>
            </div>
            <div class="index-service service-list row">
                <div class="service-item col-6 my-3">
                    <div class="content row align-items-stretch border mx-0 no-gutters">
                        <div class="col-md-6">
                            <div class="bg-img bg-cover" style="background-image: url({{ resources_path() }}_img/service/1/img01.png)"></div>
                        </div>
                        <div class="col-md-6">
                            <div class="txt-row px-3 py-3">
                                <div class="text">
                                    <div class="service-title fs-25 font-weight-bold mb-2">防墜</div>
                                    <div class="service-detail fs-20">
                                        陽台、樓梯、手扶梯、異物墜落、天井、窗戶、花台、露臺<br>
                                        公寓大廈管理條例第八條第二項規定，若公寓大廈有十二歲以下的兒童，或六十五歲以上的老人住戶，外牆開口部或陽台可以設置不妨礙逃生、不突出外牆面的防墜設施，所以家中有幼兒的住戶，想在窗戶和陽台裝置隱形鐵窗，只要不違反規定，管委會不得限制或禁止安裝。
                                    </div>
                                </div>
                                <div class="button-row">
                                    <div class="border-top pt-3 mt-4">
                                        <a href="{{ base_path() }}service/1" class="btn btn-outline-dark d-line pl-2 pr-4 border-0">MORE</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="service-item col-6 my-3">
                    <div class="content row align-items-stretch border mx-0 no-gutters">
                        <div class="col-md-6">
                            <div class="bg-img bg-cover" style="background-image: url({{ resources_path() }}_img/service/2/img01.png)"></div>
                        </div>
                        <div class="col-md-6">
                            <div class="txt-row px-3 py-3">
                                <div class="text">
                                    <div class="service-title fs-25 font-weight-bold mb-2">防鴿</div>
                                    <div class="service-detail fs-20">
                                        為了避免鴿子打擾住戶的生活，在陽台上留下排泄物，家裡有小朋友，擔心鴿子的排泄物會孳生細菌，鳥禽類所排放的糞便裡頭都含有【隱球菌】，隱球菌最嚴重會導致腦膜炎，建議您如果住家長受到鳥親干擾，需架設防鴿網，高安以高精密施工，安全性好，為您和家人創造舒適安心的環境，再也不怕鴿子登堂入室，致力於改善您的居住環境，施工迅速，安全可靠，擁有眾多好評推薦，高品質防鴿網您不可不選。
                                    </div>
                                </div>
                                <div class="button-row">
                                    <div class="border-top pt-3 mt-4">
                                        <a href="{{ base_path() }}service/2" class="btn btn-outline-dark d-line pl-2 pr-4 border-0">MORE</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="service-item col-6 my-3">
                    <div class="content row align-items-stretch border mx-0 no-gutters">
                        <div class="col-md-6">
                            <div class="bg-img bg-cover" style="background-image: url({{ resources_path() }}_img/service/3/img01.png)"></div>
                        </div>
                        <div class="col-md-6">
                            <div class="txt-row px-3 py-3">
                                <div class="text">
                                    <div class="service-title fs-25 font-weight-bold mb-2">防貓</div>
                                    <div class="service-detail fs-20">
                                        世界最小鋼絲繩間距：二點五公分！只有十元硬幣的寬度！寵物走失尋獲的機率趨近於零，別讓毛小孩在外孤苦無依，開放式設計，寵物可以自由接觸大自然，不用擔心墜樓或走失。
                                    </div>
                                </div>
                                <div class="button-row">
                                    <div class="border-top pt-3 mt-4">
                                        <a href="{{ base_path() }}service/3" class="btn btn-outline-dark d-line pl-2 pr-4 border-0">MORE</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="service-item col-6 my-3">
                    <div class="content row align-items-stretch border mx-0 no-gutters">
                        <div class="col-md-6">
                            <div class="bg-img bg-cover" style="background-image: url({{ resources_path() }}_img/service/4/img01.png)"></div>
                        </div>
                        <div class="col-md-6">
                            <div class="txt-row px-3 py-3">
                                <div class="text">
                                    <div class="service-title fs-25 font-weight-bold mb-2">防盜</div>
                                    <div class="service-detail fs-20">
                                        隱形鐵窗比傳統鐵窗便宜，且不像傳統鐵窗會變成小偷攀爬的路線，加上是防盜新產品，防盜功能多樣化，搭配１２０分貝蜂鳴警報器，只要剪斷鋼絲繩任一條，活抓小不是夢。
                                    </div>
                                </div>
                                <div class="button-row">
                                    <div class="border-top pt-3 mt-4">
                                        <a href="{{ base_path() }}service/4" class="btn btn-outline-dark d-line pl-2 pr-4 border-0">MORE</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    {{-- 隱形鐵窗知識庫 --}}
    <section id="section6" class="py-5" style="background-image: url({{ resources_path() }}_img/index/bg01.png)">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center mb-3">
                        隱形鐵窗知識庫
                    </div>
                </div>
            </div>
            {{-- 產品輪播 --}}
            <div class="index-knowledge knowledge-list row align-items-stretch">
                @foreach($knowledge as $v)
                <div class="knowledge-item col-md-3 col-6 my-3">
                    <div class="content border py-2 px-4 shadow bg-white">
                        <div class="date text-primary2 fs-20 text-center mb-2">{{date('Y-m-d',strtotime($v['date']))}}</div>
                        <div class="knowledge-title fs-25 font-weight-bold text-center">{{$v['name']}}</div>
                        <div class="knowledge-detail fs-20 text-c2 my-2">
                           {{ strip_tags($v['info']) }}
                        </div>
                        <div class="text-center mt-2">
                            <a href="{{ base_path() }}knowledge/{{$v['class_id']}}/{{$v['id']}}" class="btn btn-outline-dark d-line pl-2 pr-4 border-0">MORE</a>
                        </div>
                    </div>
                </div>
                @endforeach
               <!--  <div class="knowledge-item col-md-3 col-6 my-3">
                    <div class="content border py-2 px-4 shadow bg-white">
                        <div class="date text-primary2 fs-20 text-center mb-2">2019-10-15</div>
                        <div class="knowledge-title fs-25 font-weight-bold text-center">高安隱形鐵窗施做過的［大型工程］</div>
                        <div class="knowledge-detail fs-20 text-c2 my-2">
                            為了避免鴿子打擾住戶的生活，在陽台上留下排泄物，家裡有小朋友，擔心鴿子的排泄物會孳生細菌，鳥禽類所排放的糞便裡頭都含有【隱球菌】，隱球菌最嚴重會導致腦膜炎，建議您如果住家長期　受到鳥親干擾，需架設防鴿網，高安以高精密施工，安全性好，為您和家人造舒適安心的環境，再也不怕鴿子登堂入室，致力於改善您的居住環境，施工迅速，安全可靠，擁有眾多好評推薦，高品質防鴿網您不可不選。
                        </div>
                        <div class="text-center mt-2">
                            <a href="{{ base_path() }}knowledge/detail" class="btn btn-outline-dark d-line pl-2 pr-4 border-0">MORE</a>
                        </div>
                    </div>
                </div>
                <div class="knowledge-item col-md-3 col-6 my-3">
                    <div class="content border py-2 px-4 shadow bg-white">
                        <div class="date text-primary2 fs-20 text-center mb-2">2019-10-15</div>
                        <div class="knowledge-title fs-25 font-weight-bold text-center">高安隱形鐵窗施做過的［大型工程］</div>
                        <div class="knowledge-detail fs-20 text-c2 my-2">
                            為了避免鴿子打擾住戶的生活，在陽台上留下排泄物，家裡有小朋
                        </div>
                        <div class="text-center mt-2">
                            <a href="{{ base_path() }}knowledge/detail" class="btn btn-outline-dark d-line pl-2 pr-4 border-0">MORE</a>
                        </div>
                    </div>
                </div>
                <div class="knowledge-item col-md-3 col-6 my-3">
                    <div class="content border py-2 px-4 shadow bg-white">
                        <div class="date text-primary2 fs-20 text-center mb-2">2019-10-15</div>
                        <div class="knowledge-title fs-25 font-weight-bold text-center">高安隱形鐵窗施做過的［大型工程］</div>
                        <div class="knowledge-detail fs-20 text-c2 my-2">
                            為了避免鴿子打擾住戶的生活，在陽台上留下排泄物，家裡有小朋友，擔心鴿子的排泄物會孳生細菌，鳥禽類所排放的糞便裡頭都含有【隱球菌】，隱球菌最嚴重會導致腦膜炎，建議您如果住家長期　受到鳥親干擾，需架設防鴿網，高安以高精密施工，安全性好，為您和家人造舒適安心的環境，再也不怕鴿子登堂入室，致力於改善您的居住環境，施工迅速，安全可靠，擁有眾多好評推薦，高品質防鴿網您不可不選。
                        </div>
                        <div class="text-center mt-2">
                            <a href="{{ base_path() }}knowledge/detail" class="btn btn-outline-dark d-line pl-2 pr-4 border-0">MORE</a>
                        </div>
                    </div>
                </div> -->
            </div>

            {{-- more button --}}
            <div class="row">
                <div class="col-12 text-center">
                    <a href="{{ base_path() }}knowledge" class="btn btn-outline-dark d-line px-4 mt-5">MORE</a>
                </div>
            </div>
        </div>
    </section>

    {{-- 特約廠商 --}}
    <section id="section7" class="py-5">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center mb-3">
                        特約廠商
                    </div>
                </div>
            </div>
            <div class="partner-img-list row position-relative">
                <div class="partner-slider swiper-container col-12">
                    <div class="swiper-wrapper">
                        <div class="swiper-slide d-flex align-items-center">
                            <img src="{{ resources_path() }}_img/index/test_img05_1.png" alt="">
                        </div>
                        <div class="swiper-slide d-flex align-items-center">
                            <img src="{{ resources_path() }}_img/index/test_img05_2.png" alt="">
                        </div>
                        <div class="swiper-slide d-flex align-items-center">
                            <img src="{{ resources_path() }}_img/index/test_img05_3.png" alt="">
                        </div>
                        <div class="swiper-slide d-flex align-items-center">
                            <img src="{{ resources_path() }}_img/index/test_img05_4.png" alt="">
                        </div>
                    </div>
                    <div class="swiper-button-prev"><i class="fal fa-angle-left fs-40"></i></div>
                    <div class="swiper-button-next"><i class="fal fa-angle-right fs-40"></i></div>
                </div>
                
            </div>
            <div class="partner-text-list row mt-5">
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">工研院特約</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">竹南科學園區</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">生醫園區</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">龍潭科學園區</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">銅鑼科學園區</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">宜蘭科學園區</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">台元科技園區</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">新竹科學園區</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">昌益家族</div>
                </div>
                <div class="col-md-2-4 col-6 my-2">
                    <div class="border text-center p-2">新竹科學工業園區</div>
                </div>
            </div>
        </div>
    </section>

    {{-- 首頁聯絡我們 --}}
    <section id="section8">
        <div class="container-fluid py-5 bg-gradient-mc text-white">
            <div class="row">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center mb-3 text-white">
                        聯絡我們
                    </div>
                </div>
                <div class="col-12">
                    <div class="text fs-20 line-height-2 text-center">
                        若您有任何問題，歡迎隨時與高安隱形鐵窗聯繫，我們會以最快的速度解決您的問題 <br>
                        歡迎撥打24小時免付費專線:0800-500677 或到聯絡我們填寫聯絡表單
                    </div>
                </div>
                <div class="col-12 row justify-content-center mt-3 text-center">
                    <a href="" class="contact-button button1 m-2 p-2 fs-20 bg-transparent">免付費專線:0800-500677</a>
                    <a href="" class="contact-button button2 m-2 p-2 fs-20 text-primary bg-primary3"><i class="fal fa-envelope mr-2"></i>聯絡我們</a>
                </div>
            </div>
        </div>
        <div class="container-fluid py-5 bg-gradient-white">
            <div class="row">
                <div class="col-12">
                    <div class="main-title fs-30 font-weight-bold text-center mb-3">
                        填寫聯絡表單
                    </div>
                </div>
                <div class="col-12">
                    <div class="form index-form">
                          <form action="{{base_path()}}contact" method="post" id="contact_form">
                                        @csrf   
                            <div class="form-group row">
                                <div class="col-6">
                                    <input type="text" name="name" class="form-control" placeholder="姓名">
                                </div>
                                <div class="col-6">
                                    <input type="text"  name="tel" class="form-control" placeholder="聯絡電話">
                                </div>
                            </div>
                            <div class="form-group row">
                               
                                <div class="col-6">
                                    <input type="text"  name="email" class="form-control" placeholder="Email">
                                </div>
                                <div class="col-6">
                                    <select name="city" id="" class="custom-select">
                                        <option value="">地區</option>
                                        <option value="台北市">台北市</option>
                                        <option value="新北市">新北市</option>
                                        <option value="基隆市">基隆市</option>
                                        <option value="連江縣">連江縣</option>
                                        <option value="宜蘭縣">宜蘭縣</option>
                                        <option value="新竹市">新竹市</option>
                                        <option value="新竹縣">新竹縣</option>
                                        <option value="桃園縣">桃園縣</option>
                                        <option value="苗栗縣">苗栗縣</option>
                                        <option value="台中市">台中市</option>
                                        <option value="彰化縣">彰化縣</option>
                                        <option value="南投縣">南投縣</option>
                                        <option value="雲林縣">雲林縣</option>
                                        <option value="澎湖縣">澎湖縣</option>
                                        <option value="金門縣">金門縣</option>
                                        <option value="花蓮縣">花蓮縣</option>
                                        <option value="嘉義市">嘉義市</option>
                                        <option value="嘉義縣">嘉義縣</option>
                                        <option value="台南市">台南市</option>
                                        <option value="高雄市">高雄市</option>
                                        <option value="屏東縣">屏東縣</option>
                                        <option value="台東縣">台東縣</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-12">
                                    <select name="get" id="" class="custom-select">
                                        <option value="">得知方式</option>
                                        <option value="Google">Google</option>
                                        <option value="Yahoo">Yahoo</option>
                                        <option value="親友介紹">親友介紹</option>
                                        <option value="其他通路">其他通路得知</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-12">
                                    <textarea name="info" id="" cols="30" rows="10" class="form-control" placeholder="訊息"></textarea>
                                </div>
                            </div>
                            <div class="text-center mt-3">
                                <a class="btn btn-outline-dark d-line px-5" onclick="validate('#contact_form', 'contact.rule', 'contact.rule_message', 'contact'); return false;">送出</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</article>






@endsection
